> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/it/powershell-commands/repair-rdmusersqllogin.md).

# Repair-RDMUserSqlLogin

Repair-RDMUserSqlLogin corregge il login SQL di un utente esistente in uno spazio di lavoro Microsoft Azure SQL o SQL Server.

### Sinossi

Corregge il login SQL di un utente esistente

### Sintassi

#### \_\_AllParameterSets

```
Repair-RDMUserSqlLogin [-InputObject] <PSUserInfo> [-PassThru] [-ForcePromptAnswer <DialogResult[]>]
 [<CommonParameters>]
```

### Descrizione

Corregge il login SQL di un utente esistente, applicabile agli spazi di lavoro Microsoft Azure SQL o Microsoft SQL Server. Si assicuri che il tipo di autenticazione dell'utente corrisponda a uno dei seguenti valori della proprietà ServerUserType dell'oggetto PSUserInfo: SqlServer (2), AzureAD (8) oppure Okta (10).

### Esempi

```powershell
PS C:\> Get-RDMUser -Name 'myUsername' | Repair-RDMUserSqlLogin
```

Corregge il login SQL dell'utente denominato 'myUserName'

### Parametri

#### -ForcePromptAnswer

Opzione da usare con cautela. Risponde automaticamente ai prompt che pongono domande sì/no, sì/no/annulla oppure ok/annulla. In caso di prompt multipli, è possibile passare più valori a questo parametro. Ecco i valori accettati:

* Yes: Accetta il prompt. Copre i valori OK e Automatic.
* No: Rifiuta il prompt sì/no/annulla. "Cancel" è l'opzione di ripiego se non è presente l'opzione "No".
* Cancel: Annulla il prompt sì/no/annulla. "No" è l'opzione di ripiego se non è presente l'opzione "Cancel".

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -InputObject

Utente che necessita della correzione del login SQL

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSUserInfo
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -PassThru

Restituisce l'oggetto PSUserInfo dopo la correzione del login SQL

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Questo cmdlet supporta i parametri comuni: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction e -WarningVariable. Per maggiori informazioni, consulti [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Input

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSUserInfo

Oggetto utente ottenuto da Get-RDMUser

### Note

Per maggiori informazioni, digiti "Get-Help Repair-RDMUserSqlLogin -detailed". Per informazioni tecniche, digiti "Get-Help Repair-RDMUserSqlLogin -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/it/powershell-commands/repair-rdmusersqllogin.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
